package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.attendanceButton.*;
import com.engine.kq.service.KQAttendanceButtonService;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import weaver.hrm.User;

/**
 * 考勤流程相关的ajax请求事件
 */
public class KQAttendanceButtonServiceImpl extends Service implements KQAttendanceButtonService {

  @Override
  public Map<String, Object> getButtonBaseInfo(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetButtonBaseInfoCmd(params, user));
  }

  @Override
  public Map<String, Object> getButtons(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetButtonsCmd(params, user));
  }

  @Override
  public Map<String, Object> punchButton(HttpServletRequest request,Map<String, Object> params, User user) {
    return commandExecutor.execute(new PunchButtonCmd(request,params, user));
  }
  @Override
  public Map<String, Object> getOutButtons(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetOutButtonsCmd(params, user));
  }

  @Override
  public Map<String, Object> getOutButtonRange(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetOutButtonRangeCmd(params, user));
  }

  @Override
  public Map<String, Object> punchOutButton(HttpServletRequest request,Map<String, Object> params, User user) {
    return commandExecutor.execute(new PunchOutButtonCmd(request,params, user));
  }

  @Override
  public Map<String, Object> getOutButtonCondition(HttpServletRequest request,Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetOutButtonConditionCmd(request,params, user));
  }

  @Override
  public Map<String, Object> getOutSearchList(HttpServletRequest request,Map<String, Object> params, User user,
      HttpServletResponse response) {
    return commandExecutor.execute(new GetOutSearchListCmd(request,params, user,response));
  }

  @Override
  public Map<String, Object> getOutSignSetting(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetOutSignSetting(params, user));
  }

  @Override
  public Map<String, Object> saveOutSignSetting(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveOutSignSettingCmd(params, user));
  }

  @Override
  public Map<String, Object> getAutoEMSet(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetAutoEMSetCmd(params, user));
  }

  @Override
  public Map<String, Object> saveAutoEMSet(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveAutoEMSetCmd(params, user));
  }

  @Override
  public Map<String, Object> resetUserMap(Map<String, Object> params, User user) {
    return commandExecutor.execute(new ResetUserMapCmd(params, user));
  }

  @Override
  public Map<String, Object> getUserLastMap(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetUserLastMapCmd(params, user));
  }
}
